
From: bzzz@tmi.comex.ru

Now we have sync_fs(), the kludge of using write_super() to detect when the
VFS is trying to sync the fs is unneeded.

With this change we don't accidentally run commits in response to kupdate
and bdflush activity and it speedup up some heavy workloads significantly.



 fs/ext3/super.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN fs/ext3/super.c~ext3_write_super-speedup fs/ext3/super.c
--- 25/fs/ext3/super.c~ext3_write_super-speedup	2003-07-16 04:19:14.000000000 -0700
+++ 25-akpm/fs/ext3/super.c	2003-07-16 04:19:14.000000000 -0700
@@ -1811,7 +1811,10 @@ void ext3_write_super (struct super_bloc
 	if (down_trylock(&sb->s_lock) == 0)
 		BUG();
 	sb->s_dirt = 0;
+#if 0
+	/* we really don't need this because of log's nature -bzzz */
 	journal_start_commit(EXT3_SB(sb)->s_journal, NULL);
+#endif
 }
 
 static int ext3_sync_fs(struct super_block *sb, int wait)

_
